﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JoystickInterface
{
    internal static class JoystickManager
    {
        public static List<Joystick> JoystickList = new List<Joystick>();


        public static void AcquireGamePads(IntPtr handle, string name)
        {
            int nrOfJoysticks = Joystick.GetNumberOfJoysticks(name);

            for (int i = 0; i < nrOfJoysticks; i++)
            {
                JoystickList.Add(new Joystick(handle));
            }

            foreach (Joystick stick in JoystickList)
            {
                stick.AcquireJoystick();
            }
        }
    }
}
